#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http:http://pkt.cal.pl/                                             #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then
  
  info1="Kasowanie camd3.config"
  info2="Pobieranie camd3.config"
  info3="camd3.config pobrany !"
  info4="Prosze zmodyfikowac plik /var/keys/camd3.config dla wlasnych ustawien"
  info5="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="Deleting camd3.config"
  info2="Downloading camd3.config"
  info3="camd3.config downloaded!"
  info4="Please set your own server settings in /var/keys/camd3.config"
  info5="Instalation error!"

elif [ $lang == ar ]; then

  info1="camd3.config حذف"
  info2="camd3.config تحميل"
  info3="camd3.config تم تحميل"
  info4="/var/keys/camd3.config الرجاء ضبط إعدادات سيرفرك في"
  info5="حدثت مشكلة أثناء التنصيب"
  
elif [ $lang == fr ]; then

  info1="supprimer camd3.config"
  info2="Telechargement de camd3.config"
  info3="camd3.config telecharge!"
  info4="S'il vous plait definir les parametres de votre serveur dans /var/keys/camd3.config"
  info5="Erreur dans la installation!"  
  
elif [ $lang == de ]; then

  info1="Losche camd3.config"
  info2="Lade camd3.config"
  info3="camd3.config geladem !"
  info4="Bitte Datei /var/keys/camd3.config fur Eigenbedarf korigieren"
  info5="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="Cancello camd3.config"
  info2="Scarico camd3.config"
  info3="camd3.config scaricato!"
  info4="Imposta i tuoi parametri del server in /var/keys/camd3.config"
  info5="Errore durante l'installazione!"

elif [ $lang == es ]; then
  info1="camd3.config se esta borrando"
  info2="camd3.config se esta descargando"
  info3="camd3.config Descargado e Instalado!"
  info4="Por favor recuerde configurar el archivo en: /var/keys/camd3.config"
  info5="Error en la instalacion!"

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ -s /var/keys/camd3.config ] ; then
    echo $info1
    rm /var/keys/camd3.config 2>/dev/null
    sleep 3
 fi
  
  echo $info2
  wget $ADRES/camd3.config -q -O /var/keys/camd3.config 2>/dev/null
  sync
sleep 5

 if [ -s /var/keys/camd3.config ] ; then
    echo $info3
    echo $info4
 else
    echo $info5
 fi

echo ""

exit 0